package static

import (
	"embed"
)
import _ "embed"

//go:embed *.html
var pageList embed.FS

//go:embed img/*.jpeg
var imgList embed.FS

//go:embed css/*.css
var cssList embed.FS

var pageMap = initPageMap()
var imgMap = initImgMap
var cssMap = initCssMap()

func initPageMap() map[string][]byte {
	var pageMap = make(map[string][]byte, 8)

	//login.html
	data, err := pageList.ReadFile("login.html")
	if err == nil {
		pageMap["login.html"] = data
	}

	return pageMap
}

func initImgMap() map[string][]byte {
	var dataMap = make(map[string][]byte, 8)

	//login.html
	data, err := imgList.ReadFile("img/003.jpeg")
	if err == nil {
		dataMap["003.jpeg"] = data
	}

	return dataMap
}

func initCssMap() map[string][]byte {
	var dataMap = make(map[string][]byte, 8)
	//login.html
	data, err := cssList.ReadFile("css/login.css")
	if err == nil {
		dataMap["login.css"] = data
	}

	return dataMap
}
